<!DOCTYPE html>
<html>

<head>
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title>Các khóa học gọi là Course 365 nè các bạn tôi ơi </title>

  <!-- Nhúng các thư viện BS4 & jQuery, awesome font -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css">

  <!-- Các file css và js tự định nghĩa thêm -->
  <link rel="stylesheet" href="style.css">
  <script src="script.js"></script>
</head>

<body>
  <!-- 1. Header - Navbar menu -->
  <nav class="navbar navbar-expand-lg  bg-light navbar-light">
    <a class="navbar-brand" href="#"><img src="./images/Ionic_logo.png" /></a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarDropMenu"
      aria-controls="navbarDropMenu" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarDropMenu">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
          <a class="nav-link" href="#">Home <span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">Browse courses</a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="#">Web Development</a>
            <a class="dropdown-item" href="#">Mobile App</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="#">Desktop App</a>
          </div>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            About Us
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="#">Vision & Mission</a>
            <a class="dropdown-item" href="#">Team</a>
            <div class="dropdown-divider"></div>
            <a class="dropdown-item" href="#">Contact Us</a>
          </div>
        </li>
      </ul>
      <form class="form-inline">
        <input class="form-control mr-sm-2" type="text" placeholder="Search Courses" />
        <button class="btn btn-outline-info " type="submit">Search</button>
      </form>
    </div>
  </nav>

  <!-- 2. Slide body -->
  <div class="container-fluid mb-2 bg-info text-white">
    <div class="row form-group">
      <div class="col-6" style="margin: auto;">
        <h3> Welcome to Ionic Course365 <br> Learning Center </h3>
        <p style="color: rgb(227, 217, 217);">Ionic Course365 is an online learning and teaching marketplace with over
          5000 courses and 1 million students. Instructor and expertly crafted courses, designed for the modern students
          and entrepreneur.</p>
        <button class="btn btn-secondary">Browse Courses</button>
        <button class="btn btn-warning">Become an Instructor</button>
      </div>
      <div class="col-6">
        <img class="col-6" src="./images/ionic-207965.png" alt="" />
      </div>
    </div>
  </div>
  <!-- 3. Courses content -->
  <!-- 3.1 -->
  <div class="container p-3">
    <div class="row mb-3">
      <div class="col-sm-12">
        <h2><span class="text-dark border-bottom"><b>Recommended to you</b></span></h2>
      </div>
    </div>

    <div class="row">
      <div class="col-sm-12">
        <div class="card-deck">
          <div class="card shadow card-hover">
            <img class="card-img-top" src="images/courses/course-angular.jpg">
            <div class="card-body">
              <h5>Easily create a website with Angular Course</h5>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; 3h56m &nbsp; Beginner </a>
              <br>
              <p>Price: <span class="h5"><b>$600</b></span> <s>$750</s></p>
              <hr>
              <div class="row ">
                <img class="col-sm-3 picture" src="./images/teacher/morris_mccoy.jpg" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">Morris Mccoy &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
            <div class="card-footer">
              <button class="btn btn-dark w-100">Detail</button>
            </div>
          </div>
          <div class="card shadow card-hover">
            <img class="card-img-top" src="images/courses/course-python.jpg">
            <div class="card-body">
              <h5>Python: Build web application</h5>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; 4h30m &nbsp; Advanced </a>
              <br>
              <p>Price: <span class="h5"><b>$900</b></span> <s>$1050</s></p>
              <hr>
              <div class="row">
                <img class="col-sm-3 picture" src="./images/teacher/claire_robertson.jpg" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">Claire Robertson &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
            <div class="card-footer">
              <button class="btn btn-dark w-100">Detail</button>
            </div>
          </div>
          <div class="card shadow card-hover">
            <img class="card-img-top" src="images/courses/course-graphql.jpg">
            <div class="card-body">
              <h5>GraphQL: introduce GraphQL for beginners</h5>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; 2h15m &nbsp; Intermediate </a>
              <br>
              <p>Price: <span class="h5"><b>$650</b></span> <s>$850</s></p>
              <hr>
              <div class="row">
                <img class="col-sm-3 picture" src="./images/teacher/ted_hawkins.jpg" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">Ted Hawkins &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
            <div class="card-footer">
              <button class="btn btn-dark w-100">Detail</button>
            </div>
          </div>
          <div class="card shadow card-hover">
            <img class="card-img-top" src="images/courses/course-javascript.jpg">
            <div class="card-body">
              <h5>Getting Started with JavaScrip</h5>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; 3h34m &nbsp; Beginner </a>
              <br>
              <p>Price: <span class="h5"><b>$300</b></span> <s>$550</s></p>
              <hr>
              <div class="row">
                <img class="col-sm-3 picture" src="./images/teacher/ted_hawkins.jpg" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">Ted Hawkins &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
            <div class="card-footer">
              <button class="btn btn-dark w-100">Detail</button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <!-- 3.2 -->
  <div class="container p-3">
    <div class="row mb-3">
      <div class="col-sm-12">
        <h2><span class="text-dark border-bottom"><b>Most Popular</b></span></h2>
      </div>
    </div>

    <div class="row">
      <div class="col-sm-12">
        <div class="card-deck" id="popular-area">
          <!--<div class="card shadow card-hover">
            <img class="card-img-top" src="images/courses/course-css.jpg">
            <div class="card-body">
              <h5>Ultimate CSS course from begin to advance</h5>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; 3h56m &nbsp; Beginner </a>
              <br>
              <p>Price: <span class="h5"><b>$600</b></span> <s>$750</s></p>
              <hr>
              <div class="row">
                <img class="col-sm-3 picture" src="./images/teacher/juanita_bell.jpg" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">Juanita Bell &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
          </div>
          <div class="card shadow card-hover">
            <img class="card-img-top" src="images/courses/course-javascript.jpg">
            <div class="card-body">
              <h5>Getting Started with JavaScrip</h5>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; 3h34m &nbsp; Beginner </a>
              <br>
              <p>Price: <span class="h5"><b>$300</b></span> <s>$550</s></p>
              <hr>
              <div class="row">
                <img class="col-sm-3 picture" src="./images/teacher/ted_hawkins.jpg" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">Ted Hawkins &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
          </div>
          <div class="card shadow card-hover">
            <img class="card-img-top" src="images/courses/course-wordpress.jpg">
            <div class="card-body">
              <h5>Complete Wordpress Themes & plugins</h5>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; 4h30m &nbsp; Advanced </a>
              <br>
              <p>Price: <span class="h5"><b>$900</b></span> <s>$1050</s></p>
              <hr>
              <div class="row">
                <img class="col-sm-3 picture" src="./images/teacher/clevaio_simon.jpg" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">Clevaio Simon &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
          </div>
          <div class="card shadow card-hover">
            <img class="card-img-top" src="images/courses/course-graphql.jpg">
            <div class="card-body">
              <h5>GraphQL: introduce GraphQL for beginners</h5>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; 2h15m &nbsp; Intermediate </a>
              <br>
              <p>Price: <span class="h5"><b>$650</b></span> <s>$850</s></p>
              <hr>
              <div class="row">
                <img class="col-sm-3 picture" src="./images/teacher/ted_hawkins.jpg" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">Ted Hawkins &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
          </div>-->
        </div>
      </div>
    </div>
  </div>

  <!-- 3.3 Trending-->
  <div class="container p-3">
    <div class="row mb-3">
      <div class="col-sm-12">
        <h2><span class="text-dark border-bottom"><b>Trending</b></span></h2>
      </div>
    </div>

    <div class="row">
      <div class="col-sm-12">
        <div class="card-deck" id="trending-area">
          <!--<div class="card shadow card-hover">
            <img class="card-img-top" src="images/courses/course-javascript.jpg">
            <div class="card-body">
              <h5>Getting Started with JavaScrip</h5>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; 3h34m &nbsp; Beginner </a>
              <br>
              <p>Price: <span class="h5"><b>$300</b></span> <s>$550</s></p>
              <hr>
              <div class="row">
                <img class="col-sm-3 picture" src="./images/teacher/ted_hawkins.jpg" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">Ted Hawkins &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
          </div>
          <div class="card shadow card-hover">
            <img class="card-img-top" src="images/courses/course-angular.jpg">
            <div class="card-body">
              <h5>Easily create a website with Angular Course</h5>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; 3h56m &nbsp; Beginner </a>
              <br>
              <p>Price: <span class="h5"><b>$600</b></span> <s>$750</s></p>
              <hr>
              <div class="row ">
                <img class="col-sm-3 picture" src="./images/teacher/morris_mccoy.jpg" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">Morris Mccoy &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
          </div>
          <div class="card shadow card-hover">
            <img class="card-img-top" src="images/courses/course-css.jpg">
            <div class="card-body">
              <h5>Ultimate CSS course from begin to advance</h5>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; 3h56m &nbsp; Beginner </a>
              <br>
              <p>Price: <span class="h5"><b>$600</b></span> <s>$750</s></p>
              <hr>
              <div class="row">
                <img class="col-sm-3 picture" src="./images/teacher/juanita_bell.jpg" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">Juanita Bell &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
          </div>
          <div class="card shadow card-hover">
            <img class="card-img-top" src="images/courses/course-python.jpg">
            <div class="card-body">
              <h5>Python: Build web application</h5>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; 4h30m &nbsp; Advanced </a>
              <br>
              <p>Price: <span class="h5"><b>$900</b></span> <s>$1050</s></p>
              <hr>
              <div class="row">
                <img class="col-sm-3 picture" src="./images/teacher/claire_robertson.jpg" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">Claire Robertson &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
          </div>-->
        </div>
      </div>
    </div>
  </div>
  <br>
  <br>
  <!-- 4. Footer -->
  <div class="footer-basic">
    <footer>
      <div class="row form-group ">
        <div class="col-sm-6 text-right">
          <p class="copyright">Ionic Course 365 All Rights Reserved © 2021</p>
        </div>

        <div class=" col-sm-6 text-center">
          <ul class="list-inline">
            <li class="list-inline-item"><a href="#">Privacy</a></li>
            <li class="list-inline-item"><a href="#">Terms</a></li>
            <li class="list-inline-item"><a href="#">Feedback</a></li>
            <li class="list-inline-item"><a href="#">Support</a></li>
          </ul>
        </div>

    </footer>
  </div>
  </div>
</body>
<script>
  /***REGION 1:***/

  /***REGION 2:***/
  $(document).ready(
    function () {
      loadCourseByApi();
      
      /***REGION 3:***/

      /***REGION 4:***/
      function loadCourseByApi() {
        $.ajax({
          url: "https://630890e4722029d9ddd245bc.mockapi.io/api/v1courses",
          type: "GET",
          dataType: "json",
          success: function (resCourse) {
            console.log(resCourse);
            loadToPopularArea(resCourse);
            loadToTrendingArea(resCourse);
          },
          error: function (ajaxContext) {
            console.log(ajaxContext.responseText);
          },
        });
      }
      function loadToPopularArea(paramResCourse) {
        var vArrayPopularRes = [];
        for (var bI = 0; bI < paramResCourse.length; bI++) {
          if (paramResCourse[bI].isPopular == true) {
            vArrayPopularRes.push(paramResCourse[bI]);

          }

        }
        console.log(vArrayPopularRes);
        
        for (bI = 0; bI < 4; bI++) {
          var vCard=$(`<div class='card shadow card-hover'>
            <img class="card-img-top" src="`+vArrayPopularRes[bI].coverImage+`">
            <div class="card-body" >
              <h5 style="height:80px">`+vArrayPopularRes[bI].courseName+`</h5>
              
              <br>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; `+vArrayPopularRes[bI].duration+` &nbsp; `+vArrayPopularRes[bI].level+` </a>
              <br>
              <p>Price: <span class="h5"><b>`+vArrayPopularRes[bI].discountPrice+`</b></span> <s>`+vArrayPopularRes[bI].price+`</s></p>
              <hr>
              <div class="row">
                <img class="col-sm-3 picture" src="`+vArrayPopularRes[bI].teacherPhoto+`" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">`+vArrayPopularRes[bI].teacherName+` &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
            
            </div>`);
            vCard.appendTo($("#popular-area"));
     }
 }
 function loadToTrendingArea(paramResCourse){
  var vArrayTrendingRes = [];
        for (var bI = 0; bI < paramResCourse.length; bI++) {
          if (paramResCourse[bI].isTrending == true) {
            vArrayTrendingRes.push(paramResCourse[bI]);

          }

        }
        console.log(vArrayTrendingRes);
        
        for (bI = 0; bI < 4; bI++) {
          var vCard=$(`<div class='card shadow card-hover'>
            <img class="card-img-top" src="`+vArrayTrendingRes[bI].coverImage+`">
            <div class="card-body" >
              <h5 style="height:80px">`+vArrayTrendingRes[bI].courseName+`</h5>
              
              <br>
              <hr>
              <a> <i class="far fa-clock" aria-hidden="true"></i> &nbsp; `+vArrayTrendingRes[bI].duration+` &nbsp; `+vArrayTrendingRes[bI].level+` </a>
              <br>
              <p>Price: <span class="h5"><b>`+vArrayTrendingRes[bI].discountPrice+`</b></span> <s>`+vArrayTrendingRes[bI].price+`</s></p>
              <hr>
              <div class="row">
                <img class="col-sm-3 picture" src="`+vArrayTrendingRes[bI].teacherPhoto+`" alt="" />
                <div class="col-sm-9">
                  <p class="text-muted">`+vArrayTrendingRes[bI].teacherName+` &nbsp; <i class="far fa-bookmark" aria-hidden="true"></i></p>
                </div>
              </div>
            </div>
            
            </div>`);
            vCard.appendTo($("#trending-area"));
     }
 }
});
</script>

</html>